Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.framework.eway
Class EwayResourceAdapterImpl

    java.lang.Object
      com.stc.connector.framework.eway.EwayResourceAdapterImpl

All Implemented Interfaces:
  EwayResourceAdapter

public class EwayResourceAdapterImpl
extends java.lang.Object
implements EwayResourceAdapter

Default implementation for EwayResourceAdapter. This class can be used by outbound only RAs.

Version:
  $Version$
Author:
  $Author: kgambrel $

Constructor Summary
`EwayResourceAdapterImpl()` Creates a new instance of EwayResourceAdapterImpl

Method Summary
`void` | `initialize(javax.resource.spi.BootstrapContext bc)` Initialize the EwayResourceAdapter instance.
`void` | `start()` Start the EwayResourceAdapter.
`void` | `stop()` Stop the EwayResourceAdapter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EwayResourceAdapterImpl

    public EwayResourceAdapterImpl()

  Creates a new instance of EwayResourceAdapterImpl

Method Detail

### initialize

    public void initialize(javax.resource.spi.BootstrapContext bc)

  Initialize the EwayResourceAdapter instance.

  Specified by:
    `initialize` in interface `EwayResourceAdapter`
  Parameters:
    `bc` - The BootstrapContext provided by the container.

### start

    public void start()
               throws javax.resource.spi.ResourceAdapterInternalException

  Start the EwayResourceAdapter.

  Specified by:
    `start` in interface `EwayResourceAdapter`
  Throws:
    `javax.resource.spi.ResourceAdapterInternalException` - upon error.

### stop

    public void stop()

  Stop the EwayResourceAdapter.

  Specified by:
    `stop` in interface `EwayResourceAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD